EXTRA_DIST = libraptorsmiface.h

EXTRA_DEFINES =
EXTRA_INCLUDES =
EXTRA_LIBS =
EXTRA_FLAGS =

AM_CFLAGS = \
  -DXRDP_CFG_PATH=\"${sysconfdir}/xrdp\" \
  -DXRDP_SBIN_PATH=\"${sbindir}\" \
  -DXRDP_SHARE_PATH=\"${datadir}/xrdp\" \
  -DXRDP_PID_PATH=\"${localstatedir}/run\" \
  $(EXTRA_DEFINES)

INCLUDES = \
  -I$(top_srcdir)/common \
  $(EXTRA_INCLUDES)

lib_LTLIBRARIES = \
  libraptorsmiface.la

libraptorsmiface_la_SOURCES = \
  libraptorsmiface.c

libraptorsmiface_la_LDFLAGS = \
  $(EXTRA_FLAGS) -lmysqlclient

libraptorsmiface_la_LIBADD = \
  $(EXTRA_LIBS)
